ros-jazzy-launch-testing-ros (0.26.8-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 22 Jun 2025 22:00:00 -0000

ros-jazzy-launch-testing-ros (0.26.7-1noble) noble; urgency=high

  * Merge pull request #447 <https://github.com/ros2/launch_ros/issues/447> from ros2/mergify/bp/jazzy/pr-446
    Fix function params indentation (backport #446 <https://github.com/ros2/launch_ros/issues/446>)
  * Fix function params indentation (#446 <https://github.com/ros2/launch_ros/issues/446>)
    And add return type.
    (cherry picked from commit aeff3ca28cfe51c522b04592ec3c7e7077bf2531)
  * Contributors: Alejandro Hernández Cordero, Christophe Bedard

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Apr 2025 22:00:00 -0000

ros-jazzy-launch-testing-ros (0.26.6-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 17 Dec 2024 23:00:00 -0000

ros-jazzy-launch-testing-ros (0.26.5-1noble) noble; urgency=high

  * Make launch_testing_ros examples more robust. (#394 <https://github.com/ros2/launch_ros/issues/394>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Mar 2024 23:00:00 -0000

ros-jazzy-launch-testing-ros (0.26.4-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 23 Jan 2024 23:00:00 -0000

ros-jazzy-launch-testing-ros (0.26.3-1noble) noble; urgency=high

  * added type hinting to launch_testing_ros/test/examples (#386 <https://github.com/ros2/launch_ros/issues/386>)
  * Contributors: Yaswanth

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Dec 2023 23:00:00 -0000

ros-jazzy-launch-testing-ros (0.26.2-1noble) noble; urgency=high

  * Handle spin() ExternalShutdownException. (#378 <https://github.com/ros2/launch_ros/issues/378>)
  * Increase the timeout in wait_for_topic_launch_test. (#377 <https://github.com/ros2/launch_ros/issues/377>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 06 Sep 2023 22:00:00 -0000

ros-jazzy-launch-testing-ros (0.26.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Aug 2023 22:00:00 -0000

ros-jazzy-launch-testing-ros (0.26.0-1noble) noble; urgency=high

  * WaitForTopics: get content of messages for each topic (#353 <https://github.com/ros2/launch_ros/issues/353>)
  * Contributors: Giorgio Pintaudi

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Jul 2023 22:00:00 -0000

ros-jazzy-launch-testing-ros (0.25.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 26 Apr 2023 22:00:00 -0000

ros-jazzy-launch-testing-ros (0.24.0-1noble) noble; urgency=high

  * Increase the timeouts in wait_for_topic_launch_test. (#360 <https://github.com/ros2/launch_ros/issues/360>)
  * Enable document generation using rosdoc2 (#359 <https://github.com/ros2/launch_ros/issues/359>)
  * exit() methods should not reraise the passed-in exception (#357 <https://github.com/ros2/launch_ros/issues/357>)
  * Contributors: Chris Lalancette, Giorgio Pintaudi, Yadu

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-jazzy-launch-testing-ros (0.23.0-1noble) noble; urgency=high

  * Inherit markers from generate_test_description (#330 <https://github.com/ros2/launch_ros/issues/330>)
  * [rolling] Update maintainers - 2022-11-07 (#331 <https://github.com/ros2/launch_ros/issues/331>)
  * Contributors: Audrow Nash, Scott K Logan

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 23:00:00 -0000

ros-jazzy-launch-testing-ros (0.22.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 23:00:00 -0000

ros-jazzy-launch-testing-ros (0.21.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Sep 2022 22:00:00 -0000

ros-jazzy-launch-testing-ros (0.20.0-1noble) noble; urgency=high

  * Fix long wait during shutdown in WaitForTopics (#314 <https://github.com/ros2/launch_ros/issues/314>)
  * Contributors: Keng12

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Apr 2022 22:00:00 -0000

ros-jazzy-launch-testing-ros (0.19.2-1noble) noble; urgency=high

  * Add hz param to talker.py to fix wait_for_topic_launch_test (#309 <https://github.com/ros2/launch_ros/issues/309>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 22:00:00 -0000

ros-jazzy-launch-testing-ros (0.19.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 04 Apr 2022 22:00:00 -0000

ros-jazzy-launch-testing-ros (0.19.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Mar 2022 23:00:00 -0000

ros-jazzy-launch-testing-ros (0.18.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-jazzy-launch-testing-ros (0.17.0-1noble) noble; urgency=high

  * Revert WaitForTopics (#288 <https://github.com/ros2/launch_ros/issues/288>)
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Dec 2021 23:00:00 -0000

ros-jazzy-launch-testing-ros (0.16.0-1noble) noble; urgency=high

  * Update maintainers in setup.py (#287 <https://github.com/ros2/launch_ros/issues/287>)
  * Move pytest entrypoints to own module (#278 <https://github.com/ros2/launch_ros/issues/278>)
  * Update package maintainers (#284 <https://github.com/ros2/launch_ros/issues/284>)
  * Check that future is done, and always call rclpy.shutdown (#273 <https://github.com/ros2/launch_ros/issues/273>)
  * Revert "launch testing : Wait for topics to publish (#274 <https://github.com/ros2/launch_ros/issues/274>)" (#276 <https://github.com/ros2/launch_ros/issues/276>)
  * Contributors: Audrow Nash, Jorge Perez, Michel Hidalgo, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 28 Nov 2021 23:00:00 -0000

ros-jazzy-launch-testing-ros (0.15.0-1noble) noble; urgency=high

  * Add WaitForTopics utility for waiting on publishers (#274 <https://github.com/ros2/launch_ros/issues/274>)
  * Remove unused code, Future.result() already raises (#270 <https://github.com/ros2/launch_ros/issues/270>)
  * Add timeout to wait for service response in example (#271 <https://github.com/ros2/launch_ros/issues/271>)
  * Add examples (#263 <https://github.com/ros2/launch_ros/issues/263>)
  * Contributors: Aditya Pande, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 06 Oct 2021 22:00:00 -0000

ros-jazzy-launch-testing-ros (0.14.2-1noble) noble; urgency=high

  * Use underscores in setup.cfg instead of dashes. (#227 <https://github.com/ros2/launch_ros/issues/227>)
  * Contributors: Mike Purvis

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 25 Apr 2021 22:00:00 -0000

ros-jazzy-launch-testing-ros (0.14.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 11 Apr 2021 22:00:00 -0000

ros-jazzy-launch-testing-ros (0.14.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-jazzy-launch-testing-ros (0.13.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-jazzy-launch-testing-ros (0.12.0-1noble) noble; urgency=high

  * Merge pull request #183 <https://github.com/ros2/launch_ros/issues/183> from ros2/update-maintainers
  * Move Pete to author, per clalancette
  * Update the package.xml files with the latest Open Robotics maintainers
  * Add pytest.ini so local tests don't display warning (#152 <https://github.com/ros2/launch_ros/issues/152>)
  * Contributors: Chris Lalancette, Michael Jeronimo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 07 Dec 2020 23:00:00 -0000

ros-jazzy-launch-testing-ros (0.10.2-1noble) noble; urgency=high

  * Call LaunchROSTestModule with the new API. (#150 <https://github.com/ros2/launch_ros/issues/150>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-jazzy-launch-testing-ros (0.10.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 May 2020 22:00:00 -0000

ros-jazzy-launch-testing-ros (0.10.0-1noble) noble; urgency=high

  * Deprecated 'node_executable' parameter and replace with 'executable' (#140 <https://github.com/ros2/launch_ros/issues/140>)
  * Avoid deprecation warning, use from_parent (#141 <https://github.com/ros2/launch_ros/issues/141>)
  * Show error strings as part of the flake8 test (#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Remove unused 'launch' import (#133 <https://github.com/ros2/launch_ros/issues/133>)
  * Enable implicit ROS startup by launch_ros actions  (#128 <https://github.com/ros2/launch_ros/issues/128>)
  * Fix launch_testing_ros example (#121 <https://github.com/ros2/launch_ros/issues/121>)
  * Contributors: Dirk Thomas, Jacob Perron, Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 Apr 2020 22:00:00 -0000

ros-jazzy-launch-testing-ros (0.9.4-1noble) noble; urgency=high

  * fix new linter warnings as of flake8-comprehensions 3.1.0 (#94 <https://github.com/ros2/launch_ros/issues/94>)
  * Contributors: Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 Nov 2019 23:00:00 -0000

ros-jazzy-launch-testing-ros (0.9.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 Nov 2019 23:00:00 -0000

ros-jazzy-launch-testing-ros (0.9.2-1noble) noble; urgency=high

  * Remove self.proc_output and ready_fn (#90 <https://github.com/ros2/launch_ros/issues/90>)
  * Add support for launching nodes not in a package (#82 <https://github.com/ros2/launch_ros/issues/82>)
  * Contributors: Michel Hidalgo, Peter Baughman

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-jazzy-launch-testing-ros (0.9.1-1noble) noble; urgency=high

  * Make launch_testing_ros examples standalone. (#80 <https://github.com/ros2/launch_ros/issues/80>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 27 Sep 2019 22:00:00 -0000

ros-jazzy-launch-testing-ros (0.9.0-1noble) noble; urgency=high

  * install package manifest (#71 <https://github.com/ros2/launch_ros/issues/71>)
  * Do not import rclpy nor launch_ros at module level. (#69 <https://github.com/ros2/launch_ros/issues/69>)
  * Unindent setup.cfg options. (#66 <https://github.com/ros2/launch_ros/issues/66>)
  * Support launch_ros test runner in pytest (#54 <https://github.com/ros2/launch_ros/issues/54>)
  * Contributors: Dirk Thomas, Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 24 Sep 2019 22:00:00 -0000

ros-jazzy-launch-testing-ros (0.8.4-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 29 May 2019 22:00:00 -0000

ros-jazzy-launch-testing-ros (0.8.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 May 2019 22:00:00 -0000

ros-jazzy-launch-testing-ros (0.8.2-1noble) noble; urgency=high

  * fix example test logic (#28 <https://github.com/ros2/launch_ros/issues/28>)
  * Add custom LaunchTestRunner with ROS specific preamble (#26 <https://github.com/ros2/launch_ros/issues/26>)
  * Fix deprecation warnings (#25 <https://github.com/ros2/launch_ros/issues/25>)
  * Contributors: Dirk Thomas, Jacob Perron, Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 19 May 2019 22:00:00 -0000

ros-jazzy-launch-testing-ros (0.8.1-1noble) noble; urgency=high

  * try local import (#20 <https://github.com/ros2/launch_ros/issues/20>)
  * Merge apex_launchtest_ros functionality into launch_testing_ros (#8 <https://github.com/ros2/launch_ros/issues/8>)
  * Contributors: Dirk Thomas, Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 07 May 2019 22:00:00 -0000

ros-jazzy-launch-testing-ros (0.8.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sat, 13 Apr 2019 22:00:00 -0000


